diff --git a/guava/src/com/google/common/util/concurrent/ServiceManager.java b/guava/src/com/google/common/util/concurrent/ServiceManager.java
index d2dda7a..817684e 100644
--- a/guava/src/com/google/common/util/concurrent/ServiceManager.java
+++ b/guava/src/com/google/common/util/concurrent/ServiceManager.java
@@ -31,16 +31,10 @@ import static com.google.common.util.concurrent.Service.State.STOPPING;
 import static com.google.common.util.concurrent.Service.State.TERMINATED;
 import static java.util.concurrent.TimeUnit.MILLISECONDS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.MoreObjects;
 import com.google.common.base.Stopwatch;
 import com.google.common.collect.Collections2;
-import com.google.common.collect.ImmutableCollection;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
-import com.google.common.collect.ImmutableSetMultimap;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Maps;
 import com.google.common.collect.MultimapBuilder;
@@ -49,11 +43,6 @@ import com.google.common.collect.Multiset;
 import com.google.common.collect.Ordering;
 import com.google.common.collect.SetMultimap;
 import com.google.common.util.concurrent.Service.State;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
-import com.google.j2objc.annotations.J2ObjCIncompatible;
-import com.google.j2objc.annotations.WeakOuter;
-import java.lang.ref.WeakReference;
 import java.time.Duration;
 import java.util.Collections;
 import java.util.EnumSet;
@@ -120,7 +109,6 @@ import java.util.logging.Logger;
  * @author Luke Sandberg
  * @since 14.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class ServiceManager implements ServiceManagerBridge {
   private static final Logger logger = Logger.getLogger(ServiceManager.class.getName());
@@ -262,7 +250,6 @@ public final class ServiceManager implements ServiceManagerBridge {
    * @throws IllegalStateException if any of the Services are not {@link State#NEW new} when the
    *     method is called.
    */
-  @CanIgnoreReturnValue
   public ServiceManager startAsync() {
     for (Service service : services) {
       State state = service.state();
@@ -332,7 +319,6 @@ public final class ServiceManager implements ServiceManagerBridge {
    *
    * @return this
    */
-  @CanIgnoreReturnValue
   public ServiceManager stopAsync() {
     for (Service service : services) {
       service.stopAsync();
@@ -423,7 +409,6 @@ public final class ServiceManager implements ServiceManagerBridge {
    *     by startup time.
    * @since 31.0
    */
-  @J2ObjCIncompatible
   public ImmutableMap<Service, Duration> startupDurations() {
     return ImmutableMap.copyOf(
         Maps.<Service, Long, Duration>transformValues(startupTimes(), Duration::ofMillis));
@@ -443,14 +428,11 @@ public final class ServiceManager implements ServiceManagerBridge {
   private static final class ServiceManagerState {
     final Monitor monitor = new Monitor();
 
-    @GuardedBy("monitor")
     final SetMultimap<State, Service> servicesByState =
         MultimapBuilder.enumKeys(State.class).linkedHashSetValues().build();
 
-    @GuardedBy("monitor")
     final Multiset<State> states = servicesByState.keys();
 
-    @GuardedBy("monitor")
     final Map<Service, Stopwatch> startupTimers = Maps.newIdentityHashMap();
 
     /**
@@ -466,10 +448,8 @@ public final class ServiceManager implements ServiceManagerBridge {
      * to any service performing a transition, then we can fail in the ServiceManager constructor
      * rather than in a Service.Listener callback.
      */
-    @GuardedBy("monitor")
     boolean ready;
 
-    @GuardedBy("monitor")
     boolean transitioned;
 
     final int numberOfServices;
@@ -480,14 +460,12 @@ public final class ServiceManager implements ServiceManagerBridge {
      */
     final Monitor.Guard awaitHealthGuard = new AwaitHealthGuard();
 
-    @WeakOuter
     final class AwaitHealthGuard extends Monitor.Guard {
       AwaitHealthGuard() {
         super(ServiceManagerState.this.monitor);
       }
 
       @Override
-      @GuardedBy("ServiceManagerState.this.monitor")
       public boolean isSatisfied() {
         // All services have started or some service has terminated/failed.
         return states.count(RUNNING) == numberOfServices
@@ -500,14 +478,12 @@ public final class ServiceManager implements ServiceManagerBridge {
     /** Controls how long to wait for all services to reach a terminal state. */
     final Monitor.Guard stoppedGuard = new StoppedGuard();
 
-    @WeakOuter
     final class StoppedGuard extends Monitor.Guard {
       StoppedGuard() {
         super(ServiceManagerState.this.monitor);
       }
 
       @Override
-      @GuardedBy("ServiceManagerState.this.monitor")
       public boolean isSatisfied() {
         return states.count(TERMINATED) + states.count(FAILED) == numberOfServices;
       }
@@ -760,7 +736,6 @@ public final class ServiceManager implements ServiceManagerBridge {
       listeners.dispatch();
     }
 
-    @GuardedBy("monitor")
     void checkHealthy() {
       if (states.count(RUNNING) != numberOfServices) {
         IllegalStateException exception =
diff --git a/guava/src/com/google/common/util/concurrent/ServiceManagerBridge.java b/guava/src/com/google/common/util/concurrent/ServiceManagerBridge.java
index 7ae430e..d139bc2 100644
--- a/guava/src/com/google/common/util/concurrent/ServiceManagerBridge.java
+++ b/guava/src/com/google/common/util/concurrent/ServiceManagerBridge.java
@@ -16,8 +16,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableMultimap;
 import com.google.common.util.concurrent.Service.State;
 
 /**
@@ -25,7 +23,6 @@ import com.google.common.util.concurrent.Service.State;
  * servicesByState()}, to ensure binary compatibility with older Guava versions that specified
  * {@code servicesByState()} to return {@code ImmutableMultimap}.
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 interface ServiceManagerBridge {
   ImmutableMultimap<State, Service> servicesByState();
diff --git a/guava/src/com/google/common/util/concurrent/SettableFuture.java b/guava/src/com/google/common/util/concurrent/SettableFuture.java
index 893161e..e721982 100644
--- a/guava/src/com/google/common/util/concurrent/SettableFuture.java
+++ b/guava/src/com/google/common/util/concurrent/SettableFuture.java
@@ -14,9 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@link ListenableFuture} whose result can be set by a {@link #set(Object)}, {@link
@@ -32,30 +29,26 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Sven Mawson
  * @since 9.0 (in 1.0 as {@code ValueFuture})
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public final class SettableFuture<V extends @Nullable Object>
+public final class SettableFuture<V extends Object>
     extends AbstractFuture.TrustedFuture<V> {
   /**
    * Creates a new {@code SettableFuture} that can be completed or cancelled by a later method call.
    */
-  public static <V extends @Nullable Object> SettableFuture<V> create() {
+  public static <V extends Object> SettableFuture<V> create() {
     return new SettableFuture<V>();
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean set(@ParametricNullness V value) {
     return super.set(value);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean setException(Throwable throwable) {
     return super.setException(throwable);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean setFuture(ListenableFuture<? extends V> future) {
     return super.setFuture(future);
diff --git a/guava/src/com/google/common/util/concurrent/SimpleTimeLimiter.java b/guava/src/com/google/common/util/concurrent/SimpleTimeLimiter.java
index 5a1969e..3f9b5a4 100644
--- a/guava/src/com/google/common/util/concurrent/SimpleTimeLimiter.java
+++ b/guava/src/com/google/common/util/concurrent/SimpleTimeLimiter.java
@@ -17,11 +17,8 @@ package com.google.common.util.concurrent;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.ObjectArrays;
 import com.google.common.collect.Sets;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.lang.reflect.InvocationHandler;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
@@ -35,7 +32,6 @@ import java.util.concurrent.Future;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A TimeLimiter that runs method calls in the background using an {@link ExecutorService}. If the
@@ -45,8 +41,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jens Nyman
  * @since 1.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class SimpleTimeLimiter implements TimeLimiter {
 
@@ -92,8 +86,8 @@ public final class SimpleTimeLimiter implements TimeLimiter {
           public Object invoke(
               Object obj, final Method method, @CheckForNull final @Nullable Object[] args)
               throws Throwable {
-            Callable<@Nullable Object> callable =
-                new Callable<@Nullable Object>() {
+            Callable<Object> callable =
+                new Callable<Object>() {
                   @Override
                   @CheckForNull
                   public Object call() throws Exception {
@@ -119,7 +113,7 @@ public final class SimpleTimeLimiter implements TimeLimiter {
     return interfaceType.cast(object);
   }
 
-  private <T extends @Nullable Object> T callWithTimeout(
+  private <T extends Object> T callWithTimeout(
       Callable<T> callable, long timeoutDuration, TimeUnit timeoutUnit, boolean amInterruptible)
       throws Exception {
     checkNotNull(callable);
@@ -147,9 +141,8 @@ public final class SimpleTimeLimiter implements TimeLimiter {
     }
   }
 
-  @CanIgnoreReturnValue
   @Override
-  public <T extends @Nullable Object> T callWithTimeout(
+  public <T extends Object> T callWithTimeout(
       Callable<T> callable, long timeoutDuration, TimeUnit timeoutUnit)
       throws TimeoutException, InterruptedException, ExecutionException {
     checkNotNull(callable);
@@ -169,9 +162,8 @@ public final class SimpleTimeLimiter implements TimeLimiter {
     }
   }
 
-  @CanIgnoreReturnValue
   @Override
-  public <T extends @Nullable Object> T callUninterruptiblyWithTimeout(
+  public <T extends Object> T callUninterruptiblyWithTimeout(
       Callable<T> callable, long timeoutDuration, TimeUnit timeoutUnit)
       throws TimeoutException, ExecutionException {
     checkNotNull(callable);
diff --git a/guava/src/com/google/common/util/concurrent/SmoothRateLimiter.java b/guava/src/com/google/common/util/concurrent/SmoothRateLimiter.java
index ca78905..9314fd8 100644
--- a/guava/src/com/google/common/util/concurrent/SmoothRateLimiter.java
+++ b/guava/src/com/google/common/util/concurrent/SmoothRateLimiter.java
@@ -17,11 +17,9 @@ package com.google.common.util.concurrent;
 import static java.lang.Math.min;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.math.LongMath;
 import java.util.concurrent.TimeUnit;
 
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 abstract class SmoothRateLimiter extends RateLimiter {
   /*
diff --git a/guava/src/com/google/common/util/concurrent/Striped.java b/guava/src/com/google/common/util/concurrent/Striped.java
index fc8bcd8..c7c09bb 100644
--- a/guava/src/com/google/common/util/concurrent/Striped.java
+++ b/guava/src/com/google/common/util/concurrent/Striped.java
@@ -16,19 +16,14 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.collect.Lists.newArrayList;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.base.MoreObjects;
 import com.google.common.base.Preconditions;
 import com.google.common.base.Supplier;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.MapMaker;
 import com.google.common.math.IntMath;
 import com.google.common.primitives.Ints;
 import java.lang.ref.Reference;
 import java.lang.ref.ReferenceQueue;
-import java.lang.ref.WeakReference;
 import java.math.RoundingMode;
 import java.util.Arrays;
 import java.util.Collections;
@@ -41,7 +36,6 @@ import java.util.concurrent.locks.Lock;
 import java.util.concurrent.locks.ReadWriteLock;
 import java.util.concurrent.locks.ReentrantLock;
 import java.util.concurrent.locks.ReentrantReadWriteLock;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A striped {@code Lock/Semaphore/ReadWriteLock}. This offers the underlying lock striping similar
@@ -82,8 +76,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Dimitris Andreou
  * @since 13.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class Striped<L> {
   /**
@@ -436,9 +428,8 @@ public abstract class Striped<L> {
    * AtomicReferenceArray of size 2^k. To map a user key into a stripe, we take a k-bit slice of the
    * user key's (smeared) hashCode(). The stripes are lazily initialized and are weakly referenced.
    */
-  @VisibleForTesting
   static class SmallLazyStriped<L> extends PowerOfTwoStriped<L> {
-    final AtomicReferenceArray<@Nullable ArrayReference<? extends L>> locks;
+    final AtomicReferenceArray<ArrayReference<? extends L>> locks;
     final Supplier<L> supplier;
     final int size;
     final ReferenceQueue<L> queue = new ReferenceQueue<L>();
@@ -508,7 +499,6 @@ public abstract class Striped<L> {
    * where the key domain is [0..2^k). To map a user key into a stripe, we take a k-bit slice of the
    * user key's (smeared) hashCode(). The stripes are lazily initialized and are weakly referenced.
    */
-  @VisibleForTesting
   static class LargeLazyStriped<L> extends PowerOfTwoStriped<L> {
     final ConcurrentMap<Integer, L> locks;
     final Supplier<L> supplier;
diff --git a/guava/src/com/google/common/util/concurrent/ThreadFactoryBuilder.java b/guava/src/com/google/common/util/concurrent/ThreadFactoryBuilder.java
index 1027f3c..146e43b 100644
--- a/guava/src/com/google/common/util/concurrent/ThreadFactoryBuilder.java
+++ b/guava/src/com/google/common/util/concurrent/ThreadFactoryBuilder.java
@@ -16,11 +16,7 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.CheckReturnValue;
 import java.lang.Thread.UncaughtExceptionHandler;
 import java.util.Locale;
 import java.util.concurrent.Executors;
@@ -45,8 +41,6 @@ import javax.annotation.CheckForNull;
  * @author Kurt Alfred Kluever
  * @since 4.0
  */
-@CanIgnoreReturnValue
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class ThreadFactoryBuilder {
   @CheckForNull private String nameFormat = null;
@@ -143,7 +137,6 @@ public final class ThreadFactoryBuilder {
    *
    * @return the fully constructed {@link ThreadFactory}
    */
-  @CheckReturnValue
   public ThreadFactory build() {
     return doBuild(this);
   }
diff --git a/guava/src/com/google/common/util/concurrent/TimeLimiter.java b/guava/src/com/google/common/util/concurrent/TimeLimiter.java
index 0245fec..3c1a089 100644
--- a/guava/src/com/google/common/util/concurrent/TimeLimiter.java
+++ b/guava/src/com/google/common/util/concurrent/TimeLimiter.java
@@ -16,16 +16,11 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.util.concurrent.Internal.toNanosSaturated;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.DoNotMock;
 import java.time.Duration;
 import java.util.concurrent.Callable;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Imposes a time limit on method calls.
@@ -34,9 +29,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jens Nyman
  * @since 1.0
  */
-@Beta
-@DoNotMock("Use FakeTimeLimiter")
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public interface TimeLimiter {
 
@@ -145,8 +137,7 @@ public interface TimeLimiter {
    * @since 22.0
    */
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
-  @CanIgnoreReturnValue
-  <T extends @Nullable Object> T callWithTimeout(
+  <T extends Object> T callWithTimeout(
       Callable<T> callable, long timeoutDuration, TimeUnit timeoutUnit)
       throws TimeoutException, InterruptedException, ExecutionException;
 
@@ -166,8 +157,7 @@ public interface TimeLimiter {
    * @throws ExecutionError if {@code callable} throws an {@code Error}
    * @since 28.0
    */
-  @CanIgnoreReturnValue
-  default <T extends @Nullable Object> T callWithTimeout(Callable<T> callable, Duration timeout)
+  default <T extends Object> T callWithTimeout(Callable<T> callable, Duration timeout)
       throws TimeoutException, InterruptedException, ExecutionException {
     return callWithTimeout(callable, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -192,8 +182,7 @@ public interface TimeLimiter {
    * @since 22.0
    */
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
-  @CanIgnoreReturnValue
-  <T extends @Nullable Object> T callUninterruptiblyWithTimeout(
+  <T extends Object> T callUninterruptiblyWithTimeout(
       Callable<T> callable, long timeoutDuration, TimeUnit timeoutUnit)
       throws TimeoutException, ExecutionException;
 
@@ -215,8 +204,7 @@ public interface TimeLimiter {
    * @throws ExecutionError if {@code callable} throws an {@code Error}
    * @since 28.0
    */
-  @CanIgnoreReturnValue
-  default <T extends @Nullable Object> T callUninterruptiblyWithTimeout(
+  default <T extends Object> T callUninterruptiblyWithTimeout(
       Callable<T> callable, Duration timeout) throws TimeoutException, ExecutionException {
     return callUninterruptiblyWithTimeout(
         callable, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
diff --git a/guava/src/com/google/common/util/concurrent/TimeoutFuture.java b/guava/src/com/google/common/util/concurrent/TimeoutFuture.java
index 219a098..3e6d5a6 100644
--- a/guava/src/com/google/common/util/concurrent/TimeoutFuture.java
+++ b/guava/src/com/google/common/util/concurrent/TimeoutFuture.java
@@ -16,7 +16,6 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.util.concurrent.MoreExecutors.directExecutor;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Future;
@@ -25,7 +24,6 @@ import java.util.concurrent.ScheduledFuture;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Implementation of {@code Futures#withTimeout}.
@@ -34,10 +32,9 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * in an {@link ExecutionException}) if the specified duration expires. The delegate future is
  * interrupted and cancelled if it times out.
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
-final class TimeoutFuture<V extends @Nullable Object> extends FluentFuture.TrustedFuture<V> {
-  static <V extends @Nullable Object> ListenableFuture<V> create(
+final class TimeoutFuture<V extends Object> extends FluentFuture.TrustedFuture<V> {
+  static <V extends Object> ListenableFuture<V> create(
       ListenableFuture<V> delegate,
       long time,
       TimeUnit unit,
@@ -81,7 +78,7 @@ final class TimeoutFuture<V extends @Nullable Object> extends FluentFuture.Trust
   }
 
   /** A runnable that is called when the delegate or the timer completes. */
-  private static final class Fire<V extends @Nullable Object> implements Runnable {
+  private static final class Fire<V extends Object> implements Runnable {
     @CheckForNull TimeoutFuture<V> timeoutFutureRef;
 
     Fire(TimeoutFuture<V> timeoutFuture) {
diff --git a/guava/src/com/google/common/util/concurrent/TrustedListenableFutureTask.java b/guava/src/com/google/common/util/concurrent/TrustedListenableFutureTask.java
index a2c2115..aafe622 100644
--- a/guava/src/com/google/common/util/concurrent/TrustedListenableFutureTask.java
+++ b/guava/src/com/google/common/util/concurrent/TrustedListenableFutureTask.java
@@ -16,13 +16,10 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.j2objc.annotations.WeakOuter;
 import java.util.concurrent.Callable;
 import java.util.concurrent.Executors;
 import java.util.concurrent.RunnableFuture;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@link RunnableFuture} that also implements the {@link ListenableFuture} interface.
@@ -30,17 +27,16 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * <p>This should be used in preference to {@link ListenableFutureTask} when possible for
  * performance reasons.
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-class TrustedListenableFutureTask<V extends @Nullable Object> extends FluentFuture.TrustedFuture<V>
+class TrustedListenableFutureTask<V extends Object> extends FluentFuture.TrustedFuture<V>
     implements RunnableFuture<V> {
 
-  static <V extends @Nullable Object> TrustedListenableFutureTask<V> create(
+  static <V extends Object> TrustedListenableFutureTask<V> create(
       AsyncCallable<V> callable) {
     return new TrustedListenableFutureTask<V>(callable);
   }
 
-  static <V extends @Nullable Object> TrustedListenableFutureTask<V> create(Callable<V> callable) {
+  static <V extends Object> TrustedListenableFutureTask<V> create(Callable<V> callable) {
     return new TrustedListenableFutureTask<V>(callable);
   }
 
@@ -53,7 +49,7 @@ class TrustedListenableFutureTask<V extends @Nullable Object> extends FluentFutu
    *     result, consider using constructions of the form: {@code ListenableFuture<?> f =
    *     ListenableFutureTask.create(runnable, null)}
    */
-  static <V extends @Nullable Object> TrustedListenableFutureTask<V> create(
+  static <V extends Object> TrustedListenableFutureTask<V> create(
       Runnable runnable, @ParametricNullness V result) {
     return new TrustedListenableFutureTask<V>(Executors.callable(runnable, result));
   }
@@ -112,7 +108,6 @@ class TrustedListenableFutureTask<V extends @Nullable Object> extends FluentFutu
     return super.pendingToString();
   }
 
-  @WeakOuter
   private final class TrustedFutureInterruptibleTask extends InterruptibleTask<V> {
     private final Callable<V> callable;
 
@@ -147,7 +142,6 @@ class TrustedListenableFutureTask<V extends @Nullable Object> extends FluentFutu
     }
   }
 
-  @WeakOuter
   private final class TrustedFutureInterruptibleAsyncTask
       extends InterruptibleTask<ListenableFuture<V>> {
     private final AsyncCallable<V> callable;
diff --git a/guava/src/com/google/common/util/concurrent/UncaughtExceptionHandlers.java b/guava/src/com/google/common/util/concurrent/UncaughtExceptionHandlers.java
index a1add8b..5d543e8 100644
--- a/guava/src/com/google/common/util/concurrent/UncaughtExceptionHandlers.java
+++ b/guava/src/com/google/common/util/concurrent/UncaughtExceptionHandlers.java
@@ -16,8 +16,6 @@ package com.google.common.util.concurrent;
 
 import static java.util.logging.Level.SEVERE;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.annotations.VisibleForTesting;
 import java.lang.Thread.UncaughtExceptionHandler;
 import java.util.Locale;
 import java.util.logging.Logger;
@@ -28,7 +26,6 @@ import java.util.logging.Logger;
  * @author Gregory Kick
  * @since 8.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class UncaughtExceptionHandlers {
   private UncaughtExceptionHandlers() {}
@@ -53,7 +50,6 @@ public final class UncaughtExceptionHandlers {
     return new Exiter(Runtime.getRuntime());
   }
 
-  @VisibleForTesting
   static final class Exiter implements UncaughtExceptionHandler {
     private static final Logger logger = Logger.getLogger(Exiter.class.getName());
 
diff --git a/guava/src/com/google/common/util/concurrent/UncheckedExecutionException.java b/guava/src/com/google/common/util/concurrent/UncheckedExecutionException.java
index 713f4a6..9fe4b10 100644
--- a/guava/src/com/google/common/util/concurrent/UncheckedExecutionException.java
+++ b/guava/src/com/google/common/util/concurrent/UncheckedExecutionException.java
@@ -14,7 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtCompatible;
 import javax.annotation.CheckForNull;
 
 /**
@@ -32,7 +31,6 @@ import javax.annotation.CheckForNull;
  * @author Charles Fry
  * @since 10.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public class UncheckedExecutionException extends RuntimeException {
   /*
diff --git a/guava/src/com/google/common/util/concurrent/UncheckedTimeoutException.java b/guava/src/com/google/common/util/concurrent/UncheckedTimeoutException.java
index 8e30fca..9a02731 100644
--- a/guava/src/com/google/common/util/concurrent/UncheckedTimeoutException.java
+++ b/guava/src/com/google/common/util/concurrent/UncheckedTimeoutException.java
@@ -14,7 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
 import javax.annotation.CheckForNull;
 
 /**
@@ -23,7 +22,6 @@ import javax.annotation.CheckForNull;
  * @author Kevin Bourrillion
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public class UncheckedTimeoutException extends RuntimeException {
   public UncheckedTimeoutException() {}
